# $Revision: 1.73 $, $Date: 2008/07/20 22:10:39 $
# TODO:
# - subpackage DNSmasq webmin module (contrib/webmin)
#
Summary:	A lightweight caching server (DNS, DHCP)
Summary(pl.UTF-8):	Lekki buforujący serwer nazw (DNS) i DHCP
Name:		dnsmasq
Version:	2.45
Release:	1
License:	GPL v2
Group:		Networking/Daemons
Source0:	http://thekelleys.org.uk/dnsmasq/%{name}-%{version}.tar.gz
# Source0-md5:	b7956e15c9766e05b3eca3ce88fdb616
Source1:	%{name}.init
Source2:	%{name}.config
URL:		http://www.thekelleys.org.uk/dnsmasq/doc.html
BuildRequires:	gettext-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
Provides:	caching-nameserver
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Dnsmasq is a lightweight, easy to configure DNS forwarder and DHCP
server.  It is designed to provide DNS and, optionally, DHCP, to a
small network. It can serve the names of local machines which are not
in the global DNS. The DHCP server integrates with the DNS server and
allows machines with DHCP-allocated addresses to appear in the DNS
with names configured either in each host or in a central
configuration file. Dnsmasq supports static and dynamic DHCP leases
and BOOTP for network booting of diskless machines.

Dnsmasq is targeted at home networks using NAT and connected to the
Internet via a modem, cable-modem or ADSL connection but would be a
good choice for any small network where low resource use and ease of
configuration are important. 

%description -l pl.UTF-8
dnsmasq jest lekkim, łatwym w konfiguracji forwarderem DNS i serwerem
DHCP zaprojektowanym do serwowania usługi DNS i opcjonalnie DHCP dla
małych sieci. Może on serwować także nazwy dla lokalnych maszyn nie
znajdujących się w globalnym DNS-ie. Serwer DHCP integruje się z
serwerem DNS, umożliwiając maszynom o adresach przydzielonych przez
DHCP pojawienie się w DNS-ie z nazwami konfigurowanymi dla każdego
hosta lub w centralnym pliku konfiguracyjnym. dnsmasq obsługuje
statyczne i dynamiczne dzierżawy DHCP oraz BOOTP do uruchamiania z
sieci maszyn bezdyskowych.

dnsmasq jest przeznaczony głównie dla sieci domowych używających NAT-u
i podłączonych do Internetu przez modem, modem kablowy lub łącze ADSL,
ale jest dobrym wyborem dla dowolnej małej sieci, gdzie ważne jest
małe wykorzystanie zasobów i łatwa konfiguracja.

%prep
%setup -q

%build
%{__make} all-i18n \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -DHAVE_ISC_READER -D_GNU_SOURCE" \
	PREFIX=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},/etc/sysconfig,/etc/rc.d/init.d,%{_mandir}/man8}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/dnsmasq
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/dnsmasq
install dnsmasq.conf.example $RPM_BUILD_ROOT%{_sysconfdir}/dnsmasq.conf

install contrib/port-forward/dnsmasq-portforward $RPM_BUILD_ROOT%{_sbindir}
install contrib/port-forward/portforward $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} install-i18n \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix}

mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{no,nb}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add dnsmasq
%service dnsmasq restart

%preun
if [ "$1" = "0" ]; then
	%service dnsmasq stop
	/sbin/chkconfig --del dnsmasq
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc CHANGELOG FAQ *.html contrib/{dnslist,dynamic-dnsmasq}
%attr(754,root,root) /etc/rc.d/init.d/dnsmasq
%attr(755,root,root) %{_sbindir}/dnsmasq*
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/dnsmasq
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dnsmasq.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/portforward
%{_mandir}/man8/*
%lang(es) %{_mandir}/es/man8/* 
%lang(fr) %{_mandir}/fr/man8/* 

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dnsmasq.spec,v $
Revision 1.73  2008/07/20 22:10:39  adamg
- updated to 2.45

Revision 1.72  2008/07/12 19:08:49  areq
- 2.43

Revision 1.71  2008/05/31 17:47:17  areq
- 2.42

Revision 1.70  2008-05-02 11:54:05  areq
- -D_GNU_SOURCE

Revision 1.69  2008-02-14 21:55:12  areq
- 2.41

Revision 1.68  2007/08/29 22:26:54  areq
- 2.40

Revision 1.67  2007/05/06 07:09:52  adamg
- updated to 2.39

Revision 1.66  2007/02/23 14:11:42  megabajt
- fixed locale name (no -> nb)

Revision 1.65  2007/02/13 08:09:47  matkor
- Version 2.38-1. Bufixes. STBR for Ac-test

Revision 1.64  2007/02/12 21:23:53  glen
- tabs in preamble

Revision 1.63  2007/02/12 00:48:46  baggins
- converted to UTF-8

Revision 1.62  2007/02/06 15:33:18  charles
- added dnsmasq portforward support (pack contrib/port-forward/*)
- added TODO

Revision 1.61  2007/02/06 15:12:06  charles
- updated to 2.37

Revision 1.60  2007/01/22 19:28:09  areq
- 2.36

Revision 1.59  2006/11/30 19:17:35  qboosh
- DHCP is not name service

Revision 1.58  2006/11/30 19:16:40  qboosh
- formatting, updated pl desc

Revision 1.57  2006/11/27 21:44:36  blues
- one more desc fix

Revision 1.56  2006/11/27 21:18:32  blues
- 2.35 - new description - it's dhcp-server too; some small fixes

Revision 1.55  2006/09/03 22:52:34  zbyniu
- up to 2.33

Revision 1.54  2006/06/10 13:30:27  areq
- 2.32

Revision 1.53  2006/05/07 14:30:23  areq
- 2.31

Revision 1.52  2006/05/01 02:15:05  zbyniu
- translations; dhcp support enabled; rel 2

Revision 1.51  2006/04/23 22:06:11  paszczus
- updated to 2.30

Revision 1.50  2006/04/23 13:09:06  areq
- 2.29

Revision 1.49  2006/04/16 21:35:10  glen
- fix chkconfig, rc-scripts deps

Revision 1.48  2006/03/17 12:18:06  areq
- 2.27

Revision 1.47  2006/02/24 15:35:49  glen
- use %service

Revision 1.46  2006/01/15 14:39:36  areq
- 2.25

Revision 1.45  2005/11/27 12:04:04  areq
- 2.24

Revision 1.44  2005/08/29 21:24:01  areq
- 2.23

Revision 1.43  2005/04/04 18:50:43  darekr
- added config file; quote CC

Revision 1.42  2005/04/04 18:41:52  adamg
- updated to 2.22

Revision 1.41  2005/03/25 23:14:01  zawadaa
- up to 2.21, STBR

Revision 1.40  2005/01/23 14:57:56  paszczus
- updated to 2.20

Revision 1.39  2004/12/13 22:45:09  adamg
- updated to 2.19

Revision 1.38  2004/11/22 10:44:38  areq
- 2.18

Revision 1.37  2004/11/14 21:40:41  adamg
- updated to 2.17

Revision 1.36  2004/10/22 10:38:33  paszczus
- updated to 2.16

Revision 1.35  2004/09/20 21:26:24  paszczus
- updated to 2.15

Revision 1.34  2004/09/12 08:20:23  paszczus
- updated to 2.14

Revision 1.33  2004/08/14 07:37:58  adamg
- updated to 2.13

Revision 1.32  2004/08/02 19:16:49  adamg
- updated to 2.11

Revision 1.31  2004/07/27 22:13:12  paszczus
- updated to 2.10

Revision 1.30  2004/06/22 21:34:29  paszczus
- updated to 2.9

Revision 1.29  2004/05/14 07:19:00  adamg
- updated to 2.8

Revision 1.28  2004/05/13 17:56:39  ankry
- %SOURCE# fixes

Revision 1.27  2004/04/25 17:21:13  adamg
- updated to 2.7

Revision 1.26  2004/04/04 16:16:04  adamg
- updated to 2.6

Revision 1.25  2004/03/24 18:02:00  qboosh
- pl fix (pointed by Marcin Gajda), formatting

Revision 1.24  2004/03/18 18:31:09  domelu
- updated to 2.5

Revision 1.23  2004/03/13 15:33:30  adamg
- updated to 2.4

Revision 1.22  2004/02/04 18:17:06  adamg
- updated to 2.2

Revision 1.21  2003/11/11 03:13:22  domelu
- update to 1.18

Revision 1.20  2003/10/12 08:11:35  adamg
- updated to 1.17

Revision 1.19  2003/09/21 21:47:56  adamg
- updated to 1.16

Revision 1.18  2003/09/19 20:09:03  misi3k
- updated to 1.14

Revision 1.17  2003/08/22 15:16:38  ankry
- attributes fix

Revision 1.16  2003/08/09 11:12:09  misi3k
- rel 2
- cosmetics

Revision 1.15  2003/06/22 14:21:35  misi3k
- updated to 1.13

Revision 1.14  2003/05/30 13:51:57  qboosh
- more specific Requires

Revision 1.13  2003/05/30 13:06:05  qboosh
- merged lost change:
    Revision 1.11  2003/05/23 07:09:45  kosmo
    - updated to 1.12
    - dnsmasq-cc.patch no longer needed

Revision 1.12  2003/05/26 16:24:54  malekith
- massive attack: adding Source-md5

Revision 1.11  2003/05/25 05:46:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/04/15 18:24:45  misi3k
- removed Obsoletes

Revision 1.9  2003/04/14 19:18:16  misi3k
- added Obsoletes, Provides

Revision 1.8  2003/03/07 22:54:44  radek
- release 2 to rebuild for improved init script (changed chkconfig
  settings to the same as bind: levels 345, start 14, stop 89)
  NOTE: consider including this change in Ra

Revision 1.7  2003/02/06 06:11:09  kloczek
- updated to 1.11: improvements.

Revision 1.6  2003/01/22 12:48:59  radek
- version 1.10
- removed COPYING (just GPL), added FAQ and setup.html

Revision 1.5  2002/10/29 23:56:18  filon
- updated to 1.9
- updated cc patch

Revision 1.4  2002/10/29 22:11:24  filon
- changed optflags to rpmcflags, it is needed for debug builds

Revision 1.3  2002/08/05 20:17:22  kloczek
- updated to 1.7: bugfix release.

Revision 1.2  2002/06/11 22:50:51  kloczek
- added full Source url.

Revision 1.1  2002/06/11 22:41:01  filon
- inital version, fully functional
- STBR
